rc_read_config(3)

NAME
rc_read_config -

SYNOPSIS
#include <radcli/radcli.h>

rc_handle * rc_read_config(
    char const  *filename
);

DESCRIPTION

Read the global config file

This function will load the provided configuration file, and any other files such as the dictionary. This is the most common mode of use of this library. The configuration format is compatible with the radiusclient-ng and freeradius-client formats.

Note: To preserve compatibility with libraries of the same API which don't load the dictionary care is taken not to reload the same filename twice even if instructed to.

The following string options are recognised in the configuration file:

serv-type
    Transport protocol; one of udp (default), tcp, tls, dtls.

tls-ca-file
    PEM file of the CA certificate used to verify the server (TLS/DTLS).

tls-cert-file
    PEM file of the client certificate (TLS/DTLS).

tls-key-file
    PEM file of the client private key (TLS/DTLS).

tls-verify-hostname
    Set to false to skip TLS server hostname verification (not recommended).

require-message-authenticator
    Set to no to accept responses that lack the Message-Authenticator attribute. Enabled by default per draft-ietf-radext-deprecating-radius (CVE-2024-3596 / BLAST RADIUS); only disable for legacy servers that do not send this attribute.

PARAMETERS

filename
    a name of a file.

RETURN VALUE

new rc_handle on success, NULL when failure.

SEE ALSO

radcli.h(3), rc_aaa(3), rc_aaa_ctx(3), rc_aaa_ctx_free(3), rc_aaa_ctx_get_secret(3), rc_aaa_ctx_get_vector(3), rc_aaa_ctx_server(3), rc_acct(3), rc_acct_proxy(3), rc_add_config(3), rc_apply_config(3), rc_auth(3), rc_auth_proxy(3), rc_avpair_add(3), rc_avpair_assign(3), rc_avpair_copy(3), rc_avpair_free(3), rc_avpair_gen(3), rc_avpair_get(3), rc_avpair_get_attr(3), rc_avpair_get_in6(3), rc_avpair_get_raw(3), rc_avpair_get_uint32(3), rc_avpair_insert(3), rc_avpair_log(3), rc_avpair_new(3), rc_avpair_next(3), rc_avpair_parse(3), rc_avpair_remove(3), rc_avpair_tostr(3), rc_buildreq(3), rc_check(3), rc_check_tls(3), rc_conf_int(3), rc_conf_srv(3), rc_conf_str(3), rc_config_free(3), rc_config_init(3), rc_destroy(3), rc_dict_addattr(3), rc_dict_addval(3), rc_dict_addvend(3), rc_dict_findattr(3), rc_dict_findval(3), rc_dict_findvend(3), rc_dict_free(3), rc_dict_getattr(3), rc_dict_getval(3), rc_dict_getvend(3), rc_find_server_addr(3), rc_get_socket_type(3), rc_get_srcaddr(3), rc_getport(3), rc_mksid(3), rc_new(3), rc_openlog(3), rc_own_hostname(3), rc_read_config(3), rc_read_dictionary(3), rc_read_dictionary_from_buffer(3), rc_send_server(3), rc_setdebug(3), rc_test_config(3), rc_tls_fd(3)